SkillHub
Referenceregistries

Update a registry

PATCH
/registries/{ownerHandle}/{slug}

Path Parameters

ownerHandle*string
Lengthlength <= 64
slug*string
Lengthlength <= 64

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/registries/string/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "owner": {    "type": "user",    "handle": "string"  },  "slug": "string",  "displayName": "string",  "description": "string",  "readme": "string",  "visibility": "private",  "defaultOrgRole": "none",  "reviewRequired": true,  "allowPrerelease": true,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "viewerRole": "reader",  "subscribers": 0}